BitwiseNegationExpression (Groovy 5.0.7)

Package: org.codehaus.groovy.ast.expr

## [Java] Class BitwiseNegationExpression

- org.codehaus.groovy.ast.expr.BitwiseNegationExpression

-     public class BitwiseNegationExpression
      extends Expression

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Expression` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BitwiseNegationExpression(Expression expression)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Expression` | `getExpression()`
    `` | `public String` | `getText()`
    `` | `public ClassNode` | `getType()` See Also: InvokerHelper.bitwiseNegate
    `` | `public Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public BitwiseNegationExpression(Expression expression)

  - ### Method Detail

    - #### public Expression getExpression()

    - #### @Override
      public String getText()

    - #### @Override
      public ClassNode getType()

      See Also:
        InvokerHelper.bitwiseNegate

    - #### @Override
      public Expression transformExpression(ExpressionTransformer transformer)

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)